Log::Report::Dispatcher::Perl(3pm)

NAME
Log::Report::Dispatcher::Perl - send messages to die and warn

INHERITANCE
 Log::Report::Dispatcher::Perl
   is a Log::Report::Dispatcher

SYNOPSIS
  dispatcher Log::Report::Dispatcher::Perl => 'default',
    accept => 'NOTICE-';

  # close the default dispatcher
  dispatcher close => 'default';

DESCRIPTION
Ventilate the problem reports via the standard Perl error mechanisms: die(), warn(), and print(). There can be only one such dispatcher (per thread), because once die() is called, we are not able to return. Therefore, this dispatcher will always be called last.

In the early releases of Log::Report, it tried to simulate the behavior of warn and die using STDERR and exit; however: that is not possible.

Extends "DESCRIPTION" in Log::Report::Dispatcher.

METHODS
Extends "METHODS" in Log::Report::Dispatcher.

DETAILS
Extends "DETAILS" in Log::Report::Dispatcher.

DIAGNOSTICS

Error: Perl does not support charset $cs
    Cast by new()

Alert: cannot use class $backend:\n$@: $!
    Cast by new()

Error: illegal format_reason '$format' for dispatcher
    Cast by new()

SEE ALSO
This module is part of Log-Report version 1.44, built on December 22, 2025. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2007-2025 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.